Subject: Re: bug#70929: 30.0.50; eglot--apply-text-edits prevents point adjustment

From: Troy Brown <[email-masked]>
Date: Mon, 20 May 2024 23:35:02 -0400

On Tue, May 14, 2024 at 10:16 AM João Távora <[email-masked]> wrote:
>
> So I don't model Eglot after VSCode, and have never done so. I model it after
> LSP and my knowledge of Emacs.  That's not to say that I will ignore
> if you show here whichever solution VSCode uses for this (if anything).
>

According to the Ada Language Server developers, clients usually use a
minimal diff algorithm for applying edits which allows the cursor to
be put at the correct location.  Apparently, this is what VSCode and
GNATstudio both do.  According to them, this is an issue in the LSP
client, not in the server.

See the issue response here:
https://github.com/AdaCore/ada_language_server/issues/1197